Skip to main content
`Ctrl`+`K`

# TaoTermComputeHessianGetUseFD

Get whether finite differences are used in `TaoTermComputeHessian()`.

## Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoTermComputeHessianGetUseFD(TaoTerm term, PetscBool *use_fd)

Not collective

## Input Parameter

- term - a `TaoTerm`

## Output Parameter

- use_fd - `PETSC_TRUE` if finite differences are used

## See Also

TaoTerm: composable objective function terms, `TaoTerm`, `TaoTermGetFDDelta()`, `TaoTermSetFDDelta()`, `TaoTermComputeGradientFD()`, `TaoTermComputeGradientSetUseFD()`, `TaoTermComputeGradientGetUseFD()`, `TaoTermComputeHessianFD()`, `TaoTermComputeHessianSetUseFD()`

## Level

advanced

## Location

src/tao/term/interface/taoterm.c

Index of all TaoTerm routines
Table of Contents for all manual pages
Index of all manual pages